Subject: [mpls] about upstream LSR change and load-balance in P2MP LSP

From: liushuying <[email-masked]>
Date: Wed, 31 May 2006 10:17:15 +0800

Hi all,
   At IETF 65 in dallas, we all made presentations. I proposed a mechanism to minimize packet loss during upstream LSR change in P2MP. In case of network failure, I would simplify the process of reconnecting the P2MP LSP to minimize packet loss. In case of route changing, the main idea of the mechanism is 'make before break'. In your presentation, you mentioned that you would do some work to minimize packet loss during upstream LSR change.
   In my opinion, in case of route changing, 'make befor break' may be a preferable mechanism, but it should be simple. In case of network failure, there may be two ways to minimize packet loss. One way is to do some work before the network failure, like 'frr', so we could learn some methods from IPfrr and rfc4090. the other way is to do some work after failure, like the methods in our drafts, but it should be simple and minimize the time of taffic disruption.
   I expect some comments on my draft(draft-liu-mpls-ldp-p2mp-reroute-00.txt) from you. I also expect to discuss this work with you. 
  
   There is another attention on load-balance among a set of candidate upsrteam LSR. we can make some extensions to upstream label assigned mechanism, we can build a P2MP LSP which traverses every candidate upstream LSR, every sub-LSP which traverses one LSR of those candidate upstream LSRs will terminate at the Rendezvous Point LSR. The Rendezvous Point LSR is in charge of selecting the load-balance methods, such as per-flow/per-packet, ECMP/WCMP.
   expecting comments from you.
   
Thanks 
Shuying Liu
HuaWei Bld., No.3 Xinxi Rd.,   
Shang-Di Information Industry Base,             
Hai-Dian District Beijing P.R. China
ZIP：100085 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls